Index: code/branches/tutorial/data/levels/tutorial.oxw
===================================================================
--- code/branches/tutorial/data/levels/tutorial.oxw	(revision 8012)
+++ code/branches/tutorial/data/levels/tutorial.oxw	(revision 8014)
@@ -34,12 +34,4 @@
     
     <!-- TODO: Insert drone here. -->
-    <AutonomousDrone primaryThrust=100 auxilaryThrust=30 rotationThrust=25 collisionType="dynamic" mass = 50 linearDamping = 0.9 angularDamping = 0.7>
-        <attached>
-            <Model scale="10" mesh="drone.mesh"/>
-        </attached>
-        <collisionShapes>
-            <BoxCollisionShape position="0,0,0" halfExtents="10, 10, 10" />
-        </collisionShapes>
-    </AutonomousDrone>
 
   </Scene>
Index: code/branches/tutorial/src/orxonox/controllers/AutonomousDroneController.cc
===================================================================
--- code/branches/tutorial/src/orxonox/controllers/AutonomousDroneController.cc	(revision 8012)
+++ code/branches/tutorial/src/orxonox/controllers/AutonomousDroneController.cc	(revision 8014)
@@ -35,6 +35,4 @@
 {
 
-    CreateFactory(AutonomousDroneController);
-
     /**
     @brief
@@ -48,5 +46,4 @@
         // Make sure to register the object in the factory.
         // Do some kind of initialisation.
-        RegisterObject(AutonomousDroneController);
 
         // This checks that our creator really is a drone
@@ -81,5 +78,4 @@
         // - rotatePitch, rotateYaw, rotateRoll
         // Apply the to myDrone (e.g. myDrone->rotateYaw(..) )
-        myDrone->rotateYaw(dt);
 
     }
Index: code/branches/tutorial/src/orxonox/controllers/CMakeLists.txt
===================================================================
--- code/branches/tutorial/src/orxonox/controllers/CMakeLists.txt	(revision 8012)
+++ code/branches/tutorial/src/orxonox/controllers/CMakeLists.txt	(revision 8014)
@@ -1,4 +1,3 @@
 ADD_SOURCE_FILES(ORXONOX_SRC_FILES
-  AutonomousDroneController.cc
   Controller.cc
   HumanController.cc
Index: code/branches/tutorial/src/orxonox/worldentities/AutonomousDrone.cc
===================================================================
--- code/branches/tutorial/src/orxonox/worldentities/AutonomousDrone.cc	(revision 8012)
+++ code/branches/tutorial/src/orxonox/worldentities/AutonomousDrone.cc	(revision 8014)
@@ -36,5 +36,4 @@
     //TODO: Put your code in here:
     // Create the factory for the drone.
-    CreateFactory(AutonomousDrone);
 
     /**
@@ -48,5 +47,4 @@
         //TODO: Put your code in here:
         // Register the drone class to the core.
-        RegisterObject(AutonomousDrone);
 
         this->myController_ = NULL;
@@ -89,6 +87,4 @@
         // Variables can be added by the following command
         // XMLPortParam(Classname, "xml-attribute-name (i.e. variablename)", setFunction, getFunction, xmlelement, mode);
-        XMLPortParam(AutonomousDrone, "auxiliaryThrust", setAuxiliaryThrust, getAuxiliaryThrust, xmlelement, mode);
-        XMLPortParam(AutonomousDrone, "rotationThrust", setRotationThrust, getRotationThrust, xmlelement, mode);
 
     }
Index: code/branches/tutorial/src/orxonox/worldentities/AutonomousDrone.h
===================================================================
--- code/branches/tutorial/src/orxonox/worldentities/AutonomousDrone.h	(revision 8012)
+++ code/branches/tutorial/src/orxonox/worldentities/AutonomousDrone.h	(revision 8014)
@@ -109,16 +109,4 @@
             //TODO: Place your set-functions here.
             // - hint: auxiliary thrust, rotation thrust.
-            /**
-            @brief Sets the auxiliary thrust to the input amount.
-            @param thrust The amount of thrust.
-            */
-            inline void setAuxiliaryThrust( float thrust )
-                { this->auxiliaryThrust_ = thrust; }
-            /**
-            @brief Sets the rotation thrust to the input amount.
-            @param thrust The amount of thrust.
-            */
-            inline void setRotationThrust( float thrust )
-                { this->rotationThrust_ = thrust; }
             
             /**
@@ -129,16 +117,4 @@
                 { return this->primaryThrust_; }
             //TODO: Place your get-functions here.
-            /**
-            @brief Gets the auxiliary thrust to the input amount.
-            @return The amount of thrust.
-            */
-            inline float getAuxiliaryThrust()
-                { return this->auxiliaryThrust_; }
-                /**
-            @brief Gets the rotation thrust to the input amount.
-            @return The amount of thrust.
-            */
-            inline float getRotationThrust()
-                { return this->auxiliaryThrust_; }
 
         private:
Index: code/branches/tutorial/src/orxonox/worldentities/CMakeLists.txt
===================================================================
--- code/branches/tutorial/src/orxonox/worldentities/CMakeLists.txt	(revision 8012)
+++ code/branches/tutorial/src/orxonox/worldentities/CMakeLists.txt	(revision 8014)
@@ -1,4 +1,3 @@
 ADD_SOURCE_FILES(ORXONOX_SRC_FILES
-  AutonomousDrone.cc
   WorldEntity.cc
   StaticEntity.cc
